#
# spec file for package rubygem-ci_reporter
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-ci_reporter
Version:        2.0.0
Release:        5.3
%define mod_name ci_reporter
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/ci-reporter/ci_reporter
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Connects Ruby test frameworks to CI systems via JUnit reports
License:        MIT
Group:          Development/Languages/Ruby

%description
CI::Reporter is an add-on to Ruby testing frameworks that allows you to
generate XML reports of your test runs. The resulting files can be read by a
continuous integration system that understands Ant's JUnit report format.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Oct 14 2014 coolo@suse.com
- updated to version 2.0.0
  - Gem has been refactored into multiple framework-specific gems.
  - All methods of use except the `ci:setup:*` Rake tasks.
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 1.9.2
  - GH #119: add timestamp attribute (Shawn Zhu)
  - GH #118: yank rubyforge guts (Shawn Zhu)
  - GH #115: README doc additions (Piotr Kuczynski)
* Sun Jan  5 2014 coolo@suse.com
- updated to version 1.9.1
  - GH #111: Add MIT license in gemspec (Dave Golombek)
  - GH #84: Fix for filename too long on ecryptfs (Gintaras Sakalauskas)
  - Upgrade RSpec, Cucumber and Spinach deps and fix deprecations
  - Get Travis build green again for 1.9.3, 2.0.0 and JRuby
* Wed Jul  3 2013 coolo@suse.com
- updated to version 1.9.0
  - Merge PR #102 (thanks docwhat)
  - Drop 1.8 support from travis/build scripts
* Sun Feb  3 2013 coolo@suse.com
- updated to version 1.8.4
  - Fixing LoadError for rspec/version for apps that use rspec-rails (thanks
    Dmitry Frenkel)
* Fri Dec  7 2012 coolo@suse.com
- updated to version 1.8.3
  - Update test-unit dependency to '> 2.4.9' (thanks Troy Dawson)
  - Add spinach documentation
* Wed Dec  5 2012 coolo@suse.com
- updated to version 1.8.2
  - #80: Handle rspec-core 2.10.0 #format_backtrace regression and fix
  - Manifest and gemspec for 1.8.0 was missing spinach files. Fixes #79.
* Sat Dec  1 2012 coolo@suse.com
- updated to version 1.8.0
  - Add support for Spinach -- pull request #67 from spraints/spinach
  - Merge pull request #62 from citrusmoose/master
  - Merge pull request #76 from pivotal-leopold/master
  - Merge pull request #78 from Marketcircle/minitest-errors
  - Merge pull request #56 from orianthi/master
* Fri Oct 12 2012 coolo@suse.com
- updated to version 1.7.3
  - Don't extend RSpec BaseFormatter but instead delegate via method_missing for
  better forward-compatibility
* Tue Sep 11 2012 coolo@suse.com
- updated to version 1.7.2
  * #73: do not search ancestors when checking Test::Unit.const_defined? (Sean Walbran)
  * #68: make sure @suite is not nil (Patrick Cheng)
* Mon Aug 27 2012 coolo@suse.com
- updated to version 1.7.1
  * #58: Use const_defined? for checking a constant is defined (Kouhei Sutou)
  * #70: Initialize delegate IO for non-tee methods
  * #55: Accommodate 1.8.7 which requires std streams to be subclasses of IO
  * #52: Mark skipped tests as skipped instead of failure
  * #51: Allow for constants to include "Omission" or :Omission (1.8 vs. 1.9).
* Wed Feb 29 2012 saschpe@suse.de
- Update to version 1.7.0:
  * #49: fix nil to_xs with CI_CAPTURE=off (thanks Sean Walbran)
  * #47: Fix regression - don't pull test/unit in unnecessarily
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Oct 20 2011 saschpe@suse.de
- Spec file cleanup:
  * Remove outdated stuff
  * Added RPM group for base package
* Wed Jul 27 2011 fcastelli@novell.com
- Update to verion 1.6.5
- Force usage of rubygem-build-2_1
* Mon Feb 21 2011 fcastelli@novell.com
- Fixed rdoc issue
* Wed Feb 16 2011 fcastelli@novell.com
- Packaged version 1.6.4
